umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | List of all members
BirdViewDockWidget Class Reference

The class BirdViewDockWidget contains the bird view. More...

`#include <birdview.h>`

Inheritance diagram for BirdViewDockWidget:

## Signals
void | sizeChanged (const QSize &size)

## Public Member Functions
| BirdViewDockWidget (const QString &title, QWidget *parent=0, Qt::WindowFlags flags=0)

## Protected Member Functions
virtual void | resizeEvent (QResizeEvent *event)

## Detailed Description

The class BirdViewDockWidget contains the bird view.

BirdViewDockWidget is a subclass of QDockWidget. It reimplements the resize event handler by emitting a size changed signal.

Author
  Andi Fischer

## Constructor & Destructor Documentation

## ◆ BirdViewDockWidget()

BirdViewDockWidget::BirdViewDockWidget | ( | const QString & | title,
|  | QWidget * | parent = 0,
|  | Qt::WindowFlags | flags = 0 )
| explicit

Constructor.

## Member Function Documentation

## ◆ resizeEvent()

void BirdViewDockWidget::resizeEvent | ( | QResizeEvent * | event | ) |
| protected virtual

Handle resize event of the dock widget. Emits size changed signal.

## ◆ sizeChanged

void BirdViewDockWidget::sizeChanged | ( | const QSize & | size | ) |
| signal

The documentation for this class was generated from the following files:

- umbrello/birdview.h
- umbrello/birdview.cpp